Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity
Class IdentityProviderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.wso2.solutions.identity.IdentityProviderException

All Implemented Interfaces:
  java.io.Serializable

    public class IdentityProviderException

extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`IdentityProviderException(java.lang.String key)`
`IdentityProviderException(java.lang.String key, java.lang.Object[] args)`
`IdentityProviderException(java.lang.String key, java.lang.Object[] args, java.lang.Throwable e)`
`IdentityProviderException(java.lang.String key, java.lang.Throwable e)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentityProviderException

    public IdentityProviderException(java.lang.String key,
                                     java.lang.Object[] args)

### IdentityProviderException

    public IdentityProviderException(java.lang.String key)

### IdentityProviderException

    public IdentityProviderException(java.lang.String key,
                                     java.lang.Object[] args,
                                     java.lang.Throwable e)

### IdentityProviderException

    public IdentityProviderException(java.lang.String key,
                                     java.lang.Throwable e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD